import { TranslationKey } from '@tolgee/core/lib/types';
import { ReactOptions, UseTranslateResult as TUseTranslateResult } from '@tolgee/react';
import { DefaultParamType, TFnType } from '@tolgee/web';
export type UseTranslateResult = {
    t: TFnType<DefaultParamType, string, TranslationKey>;
} & Omit<TUseTranslateResult, 't'>;
export declare const useTranslate: (ns?: string, options?: ReactOptions) => UseTranslateResult;
